## visad.data.bio
Interface OMEReader

All Known Implementing Classes:
  LociForm

public interface OMEReader

OMEReader is the interface for reading in a file's associated metadata in OME-XML format as a loci.ome.xml.OMENode object.

Method Summary
`Object` `getOMENode(String id)` Obtains a loci.ome.xml.OMENode object representing the file's metadata as an OME-XML DOM structure.

Method Detail

### getOMENode

    public Object getOMENode(String id)
                      throws BadFormException,
                             IOException,
                             VisADException

  Obtains a loci.ome.xml.OMENode object representing the file's metadata as an OME-XML DOM structure.

  Throws:
    `BadFormException` - if the loci.ome.xml package is not present
    `IOException`
    `VisADException`